#ifndef __GRAPH_VERTEX_H__
#define __GRAPH_VERTEX_H__

#include <vector>
#include "Edge.h"

class Vertex {
    int _name;
    std::vector<Edge> _adjacencyList;

public:
    Vertex() : _name(-1) {}

    int name() const { return _name; }
    void setName(int value) { _name = value; }
    std::vector<Edge> &adjacencyList() { return _adjacencyList; }
    const std::vector<Edge> &adjacencyList() const { return _adjacencyList; }
};



void show_visited_vertex(int v);

#endif